|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.jsp.util.CmsTemplateContentListItem
public class CmsTemplateContentListItem
Holds information of a single XMLContent list item, either for the page side elements or the center area.
Use the newInstance() method with correct arguments to create a fully configured item object for list generation.
| Field Summary | |
|---|---|
static String |
DISPLAYAREA_CENTER
The display area of the list: center. |
static String |
DISPLAYAREA_LEFT
The display area of the list: left. |
static String |
DISPLAYAREA_RIGHT
The display area of the list: right. |
static String[] |
DISPLAYAREAS
The possible display areas for the template. |
static String |
LISTVARIATION_LONG
The name of the list variation: long. |
static String |
LISTVARIATION_SHORT
The name of the list variation: short. |
static String[] |
LISTVARIATIONS
The possible list variations for a content type. |
static String |
MACRO_LISTINDEX
Macro used in property definition names to resolve the list index. |
static String |
MACRO_MICROSITEFOLDER
Macro used in folder String to represent the microsite folder. |
static String |
PARAM_COLLECTOR
Request parameter name for the collector. |
static String |
PARAM_COUNT
Request parameter name for the list count. |
static String |
PARAM_ELEMENTCOUNT
Request parameter name maximum number of elements to show. |
static String |
PARAM_FOLDER
Request parameter name for the xmlcontent folder. |
static String |
PARAM_LISTELEMENT
Request parameter name for the xmlcontent listelement. |
static String |
PROPERTY_LAYOUT_COLLECTOR
Name of the property key to set the element collector. |
static String |
PROPERTY_LAYOUT_COUNT
Name of the property key to set the element count. |
static String |
PROPERTY_LAYOUT_FOLDER
Name of the property key to set the folder holding the contents. |
static String |
PROPERTY_LAYOUT_TYPE
Name of the property key to set the element type. |
static String |
PROPERTY_LAYOUT_VARIATION
Name of the property key to set the list variation. |
static String |
PROPERTY_VALUE_NONE
The property value for displaying no list. |
| Constructor Summary | |
|---|---|
CmsTemplateContentListItem()
|
|
| Method Summary | |
|---|---|
String |
getCollector()
Returns the collector to use for this list. |
int |
getCount()
Returns the maximum count of entries for elements. |
static Map |
getDefaultValuesFromMessages(CmsMessages messages)
Creates a Map holding the default values for the list creation from given workplace messages. |
String |
getDisplayArea()
Returns the display area for this XMLContent list. |
String |
getFolder()
Returns the folder which holds the XMLContent. |
String |
getListElement()
Returns the list element URI to use to display the list. |
String |
getType()
Returns the XMLContent type. |
String |
getVariation()
Returns the list variation. |
void |
includeListItem(CmsJspActionElement jsp,
boolean showPageLinks)
Includes the list generation JSP and creates the necessary request parameters for the included JSP. |
static CmsTemplateContentListItem |
newInstance(Map defaultValues,
Map properties,
String microSiteFolder,
String displayArea,
int index)
Factory method to create a new CmsTemplateContentListItem instance. |
protected void |
setCollector(String collector)
Sets the collector to use for this list. |
protected void |
setCount(int count)
Sets the maximum count of entries for elements. |
protected void |
setDisplayArea(String displayArea)
Sets the display area for this XMLContent list. |
protected void |
setFolder(String contentFolder)
Sets the folder which holds the XMLContent. |
protected void |
setListElement(String listElement)
Sets the list element URI to use to display the list. |
protected void |
setType(String type)
Sets the XMLContent type. |
protected void |
setVariation(String variation)
Sets the list variation. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final String DISPLAYAREA_CENTER
public static final String DISPLAYAREA_LEFT
public static final String DISPLAYAREA_RIGHT
public static final String[] DISPLAYAREAS
public static final String LISTVARIATION_LONG
public static final String LISTVARIATION_SHORT
public static final String[] LISTVARIATIONS
public static final String MACRO_LISTINDEX
public static final String MACRO_MICROSITEFOLDER
public static final String PARAM_COLLECTOR
public static final String PARAM_COUNT
public static final String PARAM_ELEMENTCOUNT
public static final String PARAM_FOLDER
public static final String PARAM_LISTELEMENT
public static final String PROPERTY_LAYOUT_COLLECTOR
public static final String PROPERTY_LAYOUT_COUNT
public static final String PROPERTY_LAYOUT_FOLDER
public static final String PROPERTY_LAYOUT_TYPE
public static final String PROPERTY_LAYOUT_VARIATION
public static final String PROPERTY_VALUE_NONE
| Constructor Detail |
|---|
public CmsTemplateContentListItem()
| Method Detail |
|---|
public static Map getDefaultValuesFromMessages(CmsMessages messages)
messages - the localized workplace messages
public static CmsTemplateContentListItem newInstance(Map defaultValues,
Map properties,
String microSiteFolder,
String displayArea,
int index)
CmsTemplateContentListItem instance.If no type for the specified index can be found, null is returned.
defaultValues - holds the default values for collector, count, list folder, JSP elementproperties - the properties of the layout file to use to get the list informationmicroSiteFolder - the folder URI of the current micrositedisplayArea - the area where to build the lists (left, center or right)index - the index of the content list item to create
CmsTemplateContentListItempublic String getCollector()
public int getCount()
public String getDisplayArea()
public String getFolder()
public String getListElement()
public String getType()
public String getVariation()
public void includeListItem(CmsJspActionElement jsp,
boolean showPageLinks)
throws JspException
jsp - the JSP action elementshowPageLinks - flag to determine if page links should be shown
JspException - if inclusion of the element failsprotected void setCollector(String collector)
collector - the collector to use for this listprotected void setCount(int count)
count - the maximum count of entries for elementsprotected void setDisplayArea(String displayArea)
displayArea - the display area for this XMLContent listprotected void setFolder(String contentFolder)
contentFolder - the folder which holds the XMLContentprotected void setListElement(String listElement)
listElement - the list element URI to use to display the listprotected void setType(String type)
type - the XMLContent type to setprotected void setVariation(String variation)
variation - the list variation to set
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||